Bug 1133260 - SELinux is preventing gst-plugin-scan from read, write access on the chr_file video0.
Summary: SELinux is preventing gst-plugin-scan from read, write access on the chr_file...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:14a30a1311d8d9c7b9821833df0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-24 03:44 UTC by Ankur Sinha (FranciscoD)
Modified: 2014-09-10 02:45 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.13.1-78.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-10 02:45:53 UTC
Type: ---


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2014-08-24 03:44:50 UTC
Description of problem:
Was using vlc
SELinux is preventing gst-plugin-scan from read, write access on the chr_file video0.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that gst-plugin-scan should be allowed read write access on the video0 chr_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gst-plugin-scan /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                system_u:object_r:v4l_device_t:s0
Target Objects                video0 [ chr_file ]
Source                        gst-plugin-scan
Source Path                   gst-plugin-scan
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-74.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.16.1-300.fc21.x86_64 #1 SMP Thu
                              Aug 14 15:06:34 UTC 2014 x86_64 x86_64
Alert Count                   1
First Seen                    2014-08-24 13:40:09 AEST
Last Seen                     2014-08-24 13:40:09 AEST
Local ID                      b7529176-5c03-49e0-8a46-81748a515ce6

Raw Audit Messages
type=AVC msg=audit(1408851609.667:870): avc:  denied  { read write } for  pid=4504 comm="gst-plugin-scan" name="video0" dev="devtmpfs" ino=2881 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:object_r:v4l_device_t:s0 tclass=chr_file permissive=0


Hash: gst-plugin-scan,thumb_t,v4l_device_t,chr_file,read,write

Version-Release number of selected component:
selinux-policy-3.13.1-74.fc21.noarch

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.16.1-300.fc21.x86_64
type:           libreport

Comment 1 Daniel Walsh 2014-08-24 11:11:51 UTC
This is a tough one, not sure if I should allow it, but I have for now

5ce810a413267d994dcace365db15e2c8b441742 allows this in git.

Comment 3 Daniel Walsh 2014-08-25 11:09:37 UTC
done

Comment 4 Fedora Update System 2014-08-28 14:10:54 UTC
selinux-policy-3.13.1-77.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-77.fc21

Comment 5 Fedora Update System 2014-08-28 16:42:37 UTC
Package selinux-policy-3.13.1-77.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-77.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9873/selinux-policy-3.13.1-77.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-09-02 19:29:38 UTC
selinux-policy-3.13.1-78.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-78.fc21

Comment 7 Fedora Update System 2014-09-10 02:45:53 UTC
selinux-policy-3.13.1-78.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.